Subject: Re: git log --graph with a sort of local revision number

From: Uwe Brauer <[email-masked]>
Date: Sun, 18 Aug 2019 21:16:27 +0200

>>> "RA" == Rafael Ascensão <[email-masked]> writes:

   > You can achieve something close (on small repos, more on that later) with:
   > $ git log --graph --color \
   >   --format='%C(auto)changeset: %h:%H%nuser:      %an%ndate:      %ad%nsummary:   %s%n' \
   >   | git name-rev --refs=$(git rev-parse --abbrev-ref HEAD) --name-only --stdin

Hi thanks, this was precisely what I was looking for. However 

I run 

 git log --graph --color --format='%C(auto)changeset: %h:%H%nuser:      %an%ndate:      %ad%nsummary:   %s%n'   | git name-rev --refs=$(git rev-parse --abbrev-ref HEAD) --name-only --stdin

And it does not work

 git log --graph --color --format='%C(auto)changeset: %h:%H%nuser:      %an%ndate:      %ad%nsummary:   %s%n'   

Works but what comes after the pipe is not recognized
I obtain

Illegal variable name.

I am running 

git --version
git version 2.7.4